Solid Edge FrameworkSupport Type Library
SendBackward Method
Description
Changes the display order of visible objects by moving the referenced object so that it is in back of the first object behind it.
Syntax
Visual Basic
Public Sub SendBackward() 
Remarks
This command is useful when objects are hiding other objects that have a lower priority display but when you do not want to send the object all the way to the back of the priority list.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objDatumTargets As SolidEdgeFrameworkSupport.DatumTargets
    Dim objDatumTarget As SolidEdgeFrameworkSupport.DatumTarget
    Dim objDatumTarget1 As SolidEdgeFrameworkSupport.DatumTarget
    Dim objLine As SolidEdgeFrameworkSupport.Line2d
    Dim lngZorderbfr As Long
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'getting the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    'Getting the DatumTargets object
    Set objDatumTargets = objSheet.DatumTargets
    'Create a Datum target in the active sheet
    Set objDatumTarget = objDatumTargets.Add(x1:=0.3, y1:=0.25, z1:=0.25)
    'Add a Text to the Datum Target
    objDatumTarget.DatumReference = "A"
    'Add a vertex at the end
    Call objDatumTarget.AddVertex(x:=0.35, y:=0.3, z:=0)
    'Draw a Line in the active sheeet
    Set objLine = objSheet.Lines2d.AddBy2Points(x1:=0.2, y1:=0.4, _
                                                x2:=0.5, y2:=0.2)
    'Create another Datum target in the active sheet
    Set objDatumTarget1 = objDatumTargets.Add(x1:=0.2, y1:=0.35, z1:=0)
    'Add a Text to the Datum Target
    objDatumTarget1.DatumReference = "B"
    'Add a vertex at the end
    Call objDatumTarget1.AddVertex(x:=0.45, y:=0.25, z:=0)
    'Get the ZOrder of DatumTarget1 before sending it backward
    lngZorderbfr = objDatumTarget1.ZOrder
    'Send backward second Datum Target
    objDatumTarget1.SendBackward
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objDatumTargets = Nothing
    Set objDatumTarget = Nothing
    Set objDatumTarget1 = Nothing
    Set objLine = Nothing
End Sub
See Also

DatumTarget Object  | DatumTarget Members

Send comments on this topic.